Skip to main content
GET
/
v1
/
asset
/
containment-history
/
{assetType}
/
{id}
Get containment action history for an asset
curl --request GET \
  --url https://api.wirespeed.co/v1/asset/containment-history/{assetType}/{id} \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "createdAt": "<string>",
      "blockedByConfiguration": true,
      "subAction": "<string>",
      "performedBy": "<string>",
      "detectionId": "<string>",
      "detectionSid": "<string>",
      "integrationId": "<string>",
      "failureReason": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

assetType
enum<string>
required

Asset type (endpoint, directory_user, file)

Available options:
directory_user,
endpoint,
file
id
string
required

Asset identifier

Response

200 - application/json
items
object[]
required

Containment history entries, newest first